
Infrastructure - Feature #1872

DataONE event log file anonymization script

2011-10-20 22:59 - Heather Piwowar

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Dave Vieglais % Done: 100%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Milestone: None Story Points:  

Product Version:    

Description

Write a script to anonymize the DataONE server logs, mapping IP addresses and certificates to anonymized ID hashes.

The mapping should be static across time.

IP address-derived attributes should be associated with the anonymized hash, for country and whether it is from a .edu or .gov

domain

(This doesn't need to be done for a while... it can wait until we are ready to start analyzing the logs)

History

#1 - 2012-01-06 04:23 - Dave Vieglais

- Position set to 2

#2 - 2012-06-15 16:36 - Rob Nahf

- Assignee set to Dave Vieglais

- Milestone changed from CCI-0.6.4 to None

- Category set to Documentation

still a design issue, so I put under d1_architecture, and added an owner

#3 - 2014-10-02 17:05 - Skye Roseboom

- Status changed from New to Closed

- Start date deleted (2011-10-20)

- translation missing: en.field_remaining_hours set to 0.0
